# makefile for panorama stitching, created by hugin 

# the output panorama
TARGET_PREFIX=applestore
TARGET=applestore.tif
PROJECT_FILE=/mnt/media/pictures/2007/nyc-0607/applestore.pto

# Input images
INPUT_IMAGES=/mnt/media/pictures/2007/nyc-0607/STA_0878.JPG /mnt/media/pictures/2007/nyc-0607/STB_0879.JPG /mnt/media/pictures/2007/nyc-0607/STC_0880.JPG /mnt/media/pictures/2007/nyc-0607/STD_0881.JPG /mnt/media/pictures/2007/nyc-0607/STE_0882.JPG /mnt/media/pictures/2007/nyc-0607/STF_0883.JPG /mnt/media/pictures/2007/nyc-0607/STG_0884.JPG /mnt/media/pictures/2007/nyc-0607/STH_0885.JPG /mnt/media/pictures/2007/nyc-0607/STI_0886.JPG /mnt/media/pictures/2007/nyc-0607/STJ_0887.JPG /mnt/media/pictures/2007/nyc-0607/STK_0888.JPG /mnt/media/pictures/2007/nyc-0607/STL_0889.JPG /mnt/media/pictures/2007/nyc-0607/STM_0890.JPG 

# remapped images
REMAPPED_IMAGES=applestore0000.tif applestore0001.tif applestore0002.tif applestore0003.tif applestore0004.tif applestore0005.tif applestore0006.tif applestore0007.tif applestore0008.tif applestore0009.tif applestore0010.tif applestore0011.tif applestore0012.tif 

# Tool configuration
NONA=nona
PTSTITCHER=PTStitcher
PTMENDER=PTmender
PTBLENDER=PTblender
PTMASKER=PTmasker
PTROLLER=PTroller
ENBLEND=enblend
SMARTBLEND=smartblend.exe

# options for the programs
ENBLEND_OPTS=-v  -w -f10000x1444


# including template /usr/share/hugin/xrc/data/nona_enblend.mk
# Rules for generating the pano

all: $(TARGET)

clean: $(REMAPPED_IMAGES)
	$(RM) $(REMAPPED_IMAGES)

$(REMAPPED_IMAGES): $(INPUT_IMAGES)
	$(NONA) -o $(TARGET_PREFIX) $(PROJECT_FILE)

$(TARGET): $(REMAPPED_IMAGES)
	$(RM) $(TARGET)
	$(ENBLEND) $(ENBLEND_OPTS) -o $(TARGET) $(REMAPPED_IMAGES)


